Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::_TAO_Locator_Proxy_Impl Class Reference

`#include <ImR_LocatorC.h>`

Inheritance diagram for ImplementationRepository::_TAO_Locator_Proxy_Impl:

[legend]
Collaboration diagram for ImplementationRepository::_TAO_Locator_Proxy_Impl:

[legend]
List of all members.

## Public Methods
virtual | ~_TAO_Locator_Proxy_Impl (void)
virtual void | activate_server_in_location (CORBA_Object *_collocated_tao_target_, const char *server, const char *location ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
virtual void | remove_server_in_location (CORBA_Object *_collocated_tao_target_, const char *server, const char *location ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | shutdown_server_in_location (CORBA_Object *_collocated_tao_target_, const char *server, const char *location ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | server_is_shutting_down_in_location (CORBA_Object *_collocated_tao_target_, const char *server, const char *location ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual CORBA::ULong | register_activator (CORBA_Object *_collocated_tao_target_, const char *location, CORBA::Object_ptr object_ref ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered )
virtual CORBA::ULong | unregister_activator (CORBA_Object *_collocated_tao_target_, const char *location, CORBA::Object_ptr object_ref ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
## Protected Methods
| _TAO_Locator_Proxy_Impl (void)

## Constructor & Destructor Documentation

virtual ImplementationRepository::_TAO_Locator_Proxy_Impl::~_TAO_Locator_Proxy_Impl | ( | void |  | ) | `[inline, virtual]`

ImplementationRepository::_TAO_Locator_Proxy_Impl::_TAO_Locator_Proxy_Impl | ( | void |  | ) | `[protected]`

## Member Function Documentation

virtual void ImplementationRepository::_TAO_Locator_Proxy_Impl::activate_server_in_location | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Locator_Direct_Proxy_Impl.

virtual CORBA::ULong ImplementationRepository::_TAO_Locator_Proxy_Impl::register_activator | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | location,
|  | CORBA::Object_ptr object_ref | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Locator_Direct_Proxy_Impl.

virtual void ImplementationRepository::_TAO_Locator_Proxy_Impl::remove_server_in_location | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Locator_Direct_Proxy_Impl.

virtual void ImplementationRepository::_TAO_Locator_Proxy_Impl::server_is_shutting_down_in_location | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Locator_Direct_Proxy_Impl.

virtual void ImplementationRepository::_TAO_Locator_Proxy_Impl::shutdown_server_in_location | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Locator_Direct_Proxy_Impl.

virtual CORBA::ULong ImplementationRepository::_TAO_Locator_Proxy_Impl::unregister_activator | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | location,
|  | CORBA::Object_ptr object_ref | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Locator_Direct_Proxy_Impl.

The documentation for this class was generated from the following files:

- ImR_LocatorC.h
- ImR_LocatorC.cpp